> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://developer-stage.shipbob.dev/2026-07/api/billing/get-invoices/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developer-stage.shipbob.dev/_mcp/server. # Get Invoices GET https://sandbox-api.shipbob.com/2026-07/invoices Gets a paginated list of invoices, optionally filtered by invoice types and date range Reference: https://developer-stage.shipbob.dev/api/billing/get-invoices ## Authentication - `Authorization` header (bearer token, required) — Authentication using Personal Access Token (PAT) token - `Authorization` header (bearer token, required) — OAuth2 authentication using JWT tokens ## Request ### Query parameters - `Cursor` (string, optional) — [Optional] A pagination token used to jump to first, last, next or previous pages. When supplied, it overrides all other filter parameters. - `FromDate` (datetime, optional) — [Optional] Start date for filtering invoices by invoice date. Default is current - 1 month date. - `ToDate` (datetime, optional) — [Optional] End date for filtering invoices by invoice date. Default is current date. - `InvoiceTypes` (list of enum, optional) — [Optional] Filter invoices by invoice type. - Allowed values: `Shipping`, `WarehouseStorage`, `Inbound Fee`, `Return`, `AdditionalFee`, `Credits` - `PageSize` (integer, optional, default: 100) — Number of invoices to return per page (default: 100). Must be between 1 and 1000. - `SortOrder` (enum, optional, default: Descending) — Sort invoices by Invoice Date. Values - Ascending, Descending. Default: Descending. - Allowed values: `Ascending`, `Descending` ## Response ### 200 Success - `first` (string, optional, nullable) — Go to the first page - `items` (list of Billing.InvoiceDtoV3, optional, nullable) — List of invoices in the current page. - `last` (string, optional, nullable) — Go to the Last page - `next` (string, optional, nullable) — Go to the Next page - `prev` (string, optional, nullable) — Go to the Previous page ## Errors ### 400 Bad Request Error Bad Request - `detail` (string, optional, nullable) - `instance` (string, optional, nullable) - `status` (integer, optional, nullable) - `title` (string, optional, nullable) - `type` (string, optional, nullable) ### 401 Unauthorized Error Authorization missing or invalid - `any` ### 403 Forbidden Error The provided credentials are not authorized to access this resource - `any` ### 422 Unprocessable Entity Error Client Error - `detail` (string, optional, nullable) - `instance` (string, optional, nullable) - `status` (integer, optional, nullable) - `title` (string, optional, nullable) - `type` (string, optional, nullable) ### 500 Internal Server Error Server Error - `any` ## Types ### Billing.InvoiceDtoV3 Data transfer object representing an invoice. - `amount` (double, optional) — The total invoice amount. - `currency_code` (string, optional, nullable) — The ISO currency code used in the invoice (e.g., USD, EUR). - `invoice_date` (string, optional, nullable) — The invoice date in yyyy-mm-dd format. - `invoice_id` (integer, optional) — Unique identifier for the invoice. - `invoice_type` (enum, optional, nullable) — The type or category of the invoice. - Allowed values: `Shipping`, `Inbound Fee`, `WarehouseStorage`, `AdditionalFee`, `Return`, `Credits`, `BalanceAdjustment`, `Payment` - `running_balance` (double, optional) — The running balance of the account after this invoice is applied. ## Examples **Response** ```json { "first": "m8cUk/xJkbeYp2JJvL8oHqxL2hFuGz3qjqtkQ", "items": [ { "amount": 0.01, "currency_code": "USD", "invoice_date": "2019-08-24", "invoice_id": 12345, "invoice_type": "Shipping", "running_balance": 123.01 } ], "last": "n8cUk/xJkbeYp2JJvL8oHqxL2hFiGz3qjqtkQ", "next": "m8cUk/xJkbeYp2JhvL8oHqxL3hFiGz3qjqtkQ", "prev": "m8cUk/xJkbeYp2JJvL8oHqxL2hFvGz3qjqtkQ" } ``` **SDK Code** ```python default import requests url = "https://sandbox-api.shipbob.com/2026-07/invoices" querystring = {"Cursor":"f8cUk/xJkbeYp2fCr3yJJvL8oHqxL2hFiGz3qjqtkQ5Q0+BVMffFoIfoqzOkEsAw","FromDate":"2019-08-24","ToDate":"2019-08-24","InvoiceTypes":"[\"Shipping\",\"WarehouseStorage\"]","PageSize":"100","SortOrder":"Descending"} headers = {"Authorization": "Bearer "} response = requests.get(url, headers=headers, params=querystring) print(response.json()) ``` ```javascript default const url = 'https://sandbox-api.shipbob.com/2026-07/invoices?Cursor=f8cUk%2FxJkbeYp2fCr3yJJvL8oHqxL2hFiGz3qjqtkQ5Q0%2BBVMffFoIfoqzOkEsAw&FromDate=2019-08-24&ToDate=2019-08-24&InvoiceTypes=%5B%22Shipping%22%2C%22WarehouseStorage%22%5D&PageSize=100&SortOrder=Descending'; const options = {method: 'GET', headers: {Authorization: 'Bearer '}}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go default package main import ( "fmt" "net/http" "io" ) func main() { url := "https://sandbox-api.shipbob.com/2026-07/invoices?Cursor=f8cUk%2FxJkbeYp2fCr3yJJvL8oHqxL2hFiGz3qjqtkQ5Q0%2BBVMffFoIfoqzOkEsAw&FromDate=2019-08-24&ToDate=2019-08-24&InvoiceTypes=%5B%22Shipping%22%2C%22WarehouseStorage%22%5D&PageSize=100&SortOrder=Descending" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("Authorization", "Bearer ") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby default require 'uri' require 'net/http' url = URI("https://sandbox-api.shipbob.com/2026-07/invoices?Cursor=f8cUk%2FxJkbeYp2fCr3yJJvL8oHqxL2hFiGz3qjqtkQ5Q0%2BBVMffFoIfoqzOkEsAw&FromDate=2019-08-24&ToDate=2019-08-24&InvoiceTypes=%5B%22Shipping%22%2C%22WarehouseStorage%22%5D&PageSize=100&SortOrder=Descending") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["Authorization"] = 'Bearer ' response = http.request(request) puts response.read_body ``` ```java default import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://sandbox-api.shipbob.com/2026-07/invoices?Cursor=f8cUk%2FxJkbeYp2fCr3yJJvL8oHqxL2hFiGz3qjqtkQ5Q0%2BBVMffFoIfoqzOkEsAw&FromDate=2019-08-24&ToDate=2019-08-24&InvoiceTypes=%5B%22Shipping%22%2C%22WarehouseStorage%22%5D&PageSize=100&SortOrder=Descending") .header("Authorization", "Bearer ") .asString(); ``` ```php default request('GET', 'https://sandbox-api.shipbob.com/2026-07/invoices?Cursor=f8cUk%2FxJkbeYp2fCr3yJJvL8oHqxL2hFiGz3qjqtkQ5Q0%2BBVMffFoIfoqzOkEsAw&FromDate=2019-08-24&ToDate=2019-08-24&InvoiceTypes=%5B%22Shipping%22%2C%22WarehouseStorage%22%5D&PageSize=100&SortOrder=Descending', [ 'headers' => [ 'Authorization' => 'Bearer ', ], ]); echo $response->getBody(); ``` ```csharp default using RestSharp; var client = new RestClient("https://sandbox-api.shipbob.com/2026-07/invoices?Cursor=f8cUk%2FxJkbeYp2fCr3yJJvL8oHqxL2hFiGz3qjqtkQ5Q0%2BBVMffFoIfoqzOkEsAw&FromDate=2019-08-24&ToDate=2019-08-24&InvoiceTypes=%5B%22Shipping%22%2C%22WarehouseStorage%22%5D&PageSize=100&SortOrder=Descending"); var request = new RestRequest(Method.GET); request.AddHeader("Authorization", "Bearer "); IRestResponse response = client.Execute(request); ``` ```swift default import Foundation let headers = ["Authorization": "Bearer "] let request = NSMutableURLRequest(url: NSURL(string: "https://sandbox-api.shipbob.com/2026-07/invoices?Cursor=f8cUk%2FxJkbeYp2fCr3yJJvL8oHqxL2hFiGz3qjqtkQ5Q0%2BBVMffFoIfoqzOkEsAw&FromDate=2019-08-24&ToDate=2019-08-24&InvoiceTypes=%5B%22Shipping%22%2C%22WarehouseStorage%22%5D&PageSize=100&SortOrder=Descending")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```